Home
GET
https://ton-open-api.nownodes.io/v2/blockchain/masterchain/{masterchain_seqno}/transactions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get all transactions in all shards and workchains between target and previous masterchain block according to shards last blocks snapshot in masterchain. We don't recommend to build your app around this method because it has problem with scalability and will work very slow in the future.

Parameters

masterchain_seqnointeger<int32>requiredpath

masterchain block seqno

Response

200OK

blockchain transactions

default

Some error during request processing